package de.communardo.confluence.plugins.addlink.v2;

import com.atlassian.confluence.core.ConfluenceActionSupport;

import de.communardo.confluence.plugins.util.LinkTreeHelper;

public class DeleteLinkAction extends ConfluenceActionSupport {

    private static final long serialVersionUID = -2340651105317042863L;

    public LinkTreeService linkTreeService;

    private String id;

    public String doDelete() {
        if (LinkTreeHelper.deleteLink(linkTreeService.getLinkTree(), id)) {
            return SUCCESS;
        }
        return ERROR;
    }

    public void setLinkTreeService(LinkTreeService linkTreeService) {
        this.linkTreeService = linkTreeService;
    }

    public void setId(String id) {
        this.id = id;
    }


}
