AJS.toInit(	function() {
	modifyConfluenceBreadCrumbs();
});

jQuery.fn.reverse = [].reverse;

function modifyConfluenceBreadCrumbs() {
    var contextPath = jQuery('#confluence-context-path').attr('content');
	var breadcrumbsContainer = jQuery('#subspace-breadcrumb-path')
	if( jQuery('#subspace-breadcrumb-path').length > 0) {
	    // CF4 prefixes "dashboard" as crumb
	    var cf_version = AJS.Meta.get("version-number")[0];
	    var breadcrumbIndex = (cf_version == "4") ? 1 : 0;

	    // CF54 prefixes "Pages" as crumb
	    jQuery('#breadcrumbs > li > span > a[href*="/collector/pages.action?"]').closest("li").hide();

	    //because we already have the current space in our subspaces breadcrumb path we need to delete the current space li from the original breadcrumbs
	    var currentSpaceLink = jQuery('#subspace-breadcrumb-path li:last .space-url').text();
	    jQuery('#breadcrumbs a[href$="'+currentSpaceLink+'"]').closest("li").remove();

	    if(jQuery('#breadcrumbs').children().length == 0) {
	        breadcrumbsContainer.children('li.breadcrumb').each(function(){
                jQuery('#breadcrumbs').
                append("<li> <span> <a href='"+contextPath+jQuery(this).children('.space-url').text()+"'>"+jQuery(this).children('.space-name').text()+'</a> </span> </li>');
            });
	    } else {
	        breadcrumbsContainer.children('li.breadcrumb').reverse().each(function(){
	            jQuery('#breadcrumbs')
	            .children()
	            .eq(breadcrumbIndex)
	            .before("<li> <span> <a href='"+contextPath+jQuery(this).children('.space-url').text()+"'>"+jQuery(this).children('.space-name').text()+'</a> </span> </li>');
	        });
	    }
	    
	}
}